Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class VerboseCommand

    java.lang.Object
      com.sun.javatest.tool.Command
          com.sun.javatest.tool.VerboseCommand

    public class VerboseCommand

extends Command

A command supporting an extensible set of boolean options. Valid options must be registered with the addOption method. The current setting of the various options can be obtained from the current CommandContext.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.tool.Command
`Command.Fault`

Field Summary
`static java.lang.String` | `DEFAULT` The name of the default option.

Fields inherited from class com.sun.javatest.tool.Command
`DEFAULT_DTMODE, DESKTOP_NOT_REQUIRED_DTMODE, DESKTOP_REQUIRED_DTMODE`

Method Summary
`static void` | `addOption(java.lang.String name, HelpTree.Node node)` Add a option to the set recognized by this command.
`void` | `run(CommandContext ctx)` Execute the work embodied by this command, using the given command context.

Methods inherited from class com.sun.javatest.tool.Command
`addArg, getArgs, getConfig, getCustomSplash, getDesktopMode, isActionCommand, nextArg, putbackArg, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static java.lang.String DEFAULT

  The name of the default option. If the verbose command is given without options, then CommandContext.getVerboseOptionValue(DEFAULT) will be set true.

Method Detail

### addOption

    public static void addOption(java.lang.String name,
                                 HelpTree.Node node)

  Add a option to the set recognized by this command.

  Parameters:
    `name` - the name of the option to be accepted.
    `node` - the help node for this option

### run

    public void run(CommandContext ctx)
             throws Command.Fault

  Description copied from class: `Command`
  Execute the work embodied by this command, using the given command context.

  Specified by:
    `run` in class `Command`
  Parameters:
    `ctx` - context information that may be set up by preceding commands.
  Throws:
    `Command.Fault` - if there is an error while executing this command

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.